Elf32_Sym Struct Reference

ELF symbol table entry. More...

`#include <ELF.h>`

## Public Attributes

Elf32_Word | st_name
| Index into file's string table.
Elf32_Addr | st_value
| Value associated with the symbol. Depends on context.
Elf32_Word | st_size
| Size associated with symbol. 0 if the symbol has no size or an unknown size.
unsigned char | st_info
| Specified the symbol's type and binding attributes.
unsigned char | st_other
| Currently 0 (reserved).
Elf32_Half | st_shndx
| Section header table index for this symbol.

## Detailed Description

ELF symbol table entry.

An object file's symbol table holds information needed to locate and relocate a program's symbolic definitions and references. A symbol table index is a subscript into this array. Index 0 both designates the first entry in the table and serves as the undefined symbol index.

## Member Data Documentation

unsigned char Elf32_Sym::st_info

Specified the symbol's type and binding attributes.

Elf32_Word Elf32_Sym::st_name

Index into file's string table.

unsigned char Elf32_Sym::st_other

Currently 0 (reserved).

Elf32_Half Elf32_Sym::st_shndx

Section header table index for this symbol.

Elf32_Word Elf32_Sym::st_size

Size associated with symbol. 0 if the symbol has no size or an unknown size.

Elf32_Addr Elf32_Sym::st_value

Value associated with the symbol. Depends on context.

The documentation for this struct was generated from the following file:

- apps/elftosb/common/ELF.h